function combined = combine_clus( kernel_exp, clusters, centres, cut_off )

centre_exp = kernel_exp(centres,:);
[r,~] = corrcoef(centre_exp');
tmp = clusters;
combined = {};
k = 1;
while ~isempty(tmp)
    clus = tmp{1,1};
    clus_ind = [1];
    [n, ~] = size(tmp);
    for i = 2:n
        x = kernel_exp(centres(1),:);
        y = kernel_exp(centres(i),:);
        r = corrcoef(x',y');
        if r(1,2)>= cut_off
            clus_ind = [clus_ind, i];
            clus = union(clus,tmp{i,1});
        end 
    end
    for j = 1:numel(clus_ind)
         tmp{clus_ind(j),1} = [];
    end
   
    tmp = tmp(~cellfun('isempty',tmp));
    centres(clus_ind) = [];
    combined{k,1} = clus;
    k = k+1;
end
end