% sample runs for App1 & App2 for SREBF case study 

load('data\ORTI_rank1_tfs.mat');
load('data\ORTI_rank1_tgs.mat');
load('data\SREBF1_de_genes.mat');

app1(ORTI_rank1_tfs, ORTI_rank1_tgs,'SREBF1', SREBF1_de_genes, 10370);
% OR for p-values of all TFs in ORTI (Aug 2015):
app1_allTFs(ORTI_rank1_tfs, ORTI_rank1_tgs, SREBF1_de_genes, 10370);
%results saved in: .\app1_results.csv

load('data\kernel_exp_SREBF.mat');
load('data\de_exp_SREBF.mat');
load('data\all_exp_SREBF.mat');
load('data\de_genes_SREBF.mat');

app2(kernel_exp_SREBF,de_exp_SREBF,all_exp_SREBF,de_genes_SREBF);
%results saved in: .\app2_results.csv