
function centres = update_centres( clusters, kernel_exp )
%UPDATE_CENTRES Summary of this function goes here
%   Detailed explanation goes here

[k,~] = size(clusters);
centres = zeros (k,1);
for i = 1:k
    clus = clusters{i,1};
    if numel(clus) > 1
        exp = kernel_exp(clus,:);
        [r,~] = corrcoef(exp');
        [~,ind] = max(mean(r,2));
        centres(i,1) = clus(ind);
    else
        centres(i,1) = clus(1);
    end
    
end

end

